> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses expensesuploadpresign



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/expenses/upload/presign
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/expenses/upload/presign:
    post:
      tags:
        - BusinessTransactions
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionsJobsPresignedUploadRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/TransactionsJobsPresignedUploadRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/TransactionsJobsPresignedUploadRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/TransactionsJobsPresignedUploadResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionsJobsPresignedUploadResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/TransactionsJobsPresignedUploadResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    TransactionsJobsPresignedUploadRequest:
      type: object
      properties:
        files:
          type: array
          items:
            $ref: '#/components/schemas/TransactionsJobsPresignedUploadFileRequest'
          nullable: true
        vendorId:
          type: integer
          format: int64
          nullable: true
        expenseReportId:
          type: integer
          format: int64
          nullable: true
        categoryId:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/TransactionsJobsOCRTransactionType'
        payerType:
          $ref: '#/components/schemas/ModelsTransactionsPayerType'
      additionalProperties: false
    TransactionsJobsPresignedUploadResponse:
      type: object
      properties:
        uploadSessionId:
          type: string
          nullable: true
        files:
          type: array
          items:
            $ref: '#/components/schemas/TransactionsJobsPresignedUploadFileResponse'
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    TransactionsJobsPresignedUploadFileRequest:
      type: object
      properties:
        fileName:
          type: string
          nullable: true
        contentType:
          type: string
          nullable: true
        fileSize:
          type: integer
          format: int64
      additionalProperties: false
    TransactionsJobsOCRTransactionType:
      enum:
        - AUTO
        - RECEIPT
        - INVOICE
      type: string
    ModelsTransactionsPayerType:
      enum:
        - EMPLOYEE
        - COMPANY
      type: string
    TransactionsJobsPresignedUploadFileResponse:
      type: object
      properties:
        fileName:
          type: string
          nullable: true
        s3Key:
          type: string
          nullable: true
        uploadUrl:
          type: string
          nullable: true
        contentType:
          type: string
          nullable: true
      additionalProperties: false

````